# Package org.apache.ivy.plugins.circular

Interface Summary
Interface | Description
--- | ---
CircularDependencyStrategy | A CircularDependencyStrategy indicates what ivy does when a circular dependency is detected.

Class Summary
Class | Description
--- | ---
AbstractCircularDependencyStrategy |
AbstractLogCircularDependencyStrategy |
CircularDependencyHelper |
ErrorCircularDependencyStrategy |
IgnoreCircularDependencyStrategy |
WarnCircularDependencyStrategy |

Exception Summary
Exception | Description
--- | ---
CircularDependencyException | Unchecked exception thrown when a circular dependency exists between projects.